<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.ActivityMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.Activity">
        <result column="name" property="name" />
        <result column="activityDesc" property="activity_desc" />
        <result column="activityDescPage" property="activity_desc_page" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="discount_type" property="discountType" />
        <result column="target_users" property="targetUsers" />
        <result column="apply_station" property="applyStation" />
        <result column="allow_stacke" property="allowStacke" />
        <result column="quantity" property="quantity" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,name, activity_desc, activity_desc_page,start_time, end_time, discount_type, target_users, apply_station, allow_stacke, quantity, status, remark,create_time,update_time
    </sql>

</mapper>
